function::atomic_long_read
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::atomic_long_read — Retrieves an atomic long variable from kernel memory

## Synopsis

        atomic_long_read:long(addr:long)

## Arguments

`addr`

  pointer to atomic long variable

## Description

Safely perform the read of an atomic long variable. This will be a NOP on kernels that do not have ATOMIC_LONG_INIT set on the kernel config.

Prev | Up | Next
Chapter 25. String and data retrieving functions Tapset | Home | function::atomic_read